<?php

/*
*
* @link           https://oficinasuport.xarxaprod.cat
* @since          1.0.0
* @package        ofisuport-wp-plugin
*
* Plugin Name:    Oficina de Suport wp plugin
* Plugin URI:     https://git.hangar.org/xarxaprod/oficinasuport-wp-plugin
* Description:    Different needs for the Oficina de Suport de Xarxaprod.cat Wordpress theme needs. Adds support for: SVG.
* Date:           2022 12 29
* Version:        1.0.0
* Author:         jorge - vitrubio.net
* Author URI:     https://vitrubio.net/
* License:        GPL 3.0
* License URI:    https://www.gnu.org/licenses/gpl-3.0.html
* Text Domain:    ofisuport-wpplugin-textdomain
* Domain Path:    /languages
*/

/*
if ever read this never forget to check
howto write a pluggin by Wordpress.org
https://codex.wordpress.org/Writing_a_Plugin
and the best practices
https://developer.wordpress.org/plugins/plugin-basics/best-practices/
*/

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
//defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'OFISUPORT_WPPLUGIN_VERSION', '1.0.0' );

/* *
* define Plugin path
* https://developer.wordpress.org/reference/functions/plugin_dir_path/#comment-1113
* * * * * * * * * * * * * * * * * * */

define( 'OFISUPORT_WPPLUGIN_FILE', __FILE__ );

define( 'OFISUPORT_WPPLUGIN_PATH', plugin_dir_path( __FILE__ ) ); //in server

define( 'OFISUPORT_WPPLUGIN_URL', plugin_dir_url( __FILE__ ) ); //public

//define( 'OFISUPORT_WPPLUGIN_BASENAME', plugin_basename( __FILE__ ) );

include( OFISUPORT_WPPLUGIN_PATH . 'includes/plugin-init-textdomain.php');

//include( OFISUPORT_WPPLUGIN_PATH . 'includes/plugin-settings-pannel.php');

include( OFISUPORT_WPPLUGIN_PATH . 'includes/enable-svg.php');

if ( is_admin() ) {
include( OFISUPORT_WPPLUGIN_PATH . 'includes/stylesheet-admin.php');
//} else {
//include( OFISUPORT_WPPLUGIN_PATH . 'includes/stylesheet-public.php');
}

include( OFISUPORT_WPPLUGIN_PATH . 'includes/custom-post-type-ajuts.php');

include( OFISUPORT_WPPLUGIN_PATH . 'includes/custom-field-ajuts-filter.php');

include( OFISUPORT_WPPLUGIN_PATH . 'includes/custom-field-ajuts-filter-function-frontend.php');
